export declare abstract class IPlugin<Options = any, Data extends any = any> {
    abstract name: string;
    abstract prefix: string;
    abstract data: Data;
    abstract add(options: Options): void;
    abstract remove(target: HTMLSpanElement): void;
    abstract setup(): void;
    abstract destroy(): void;
}
